export interface IQueue {
    defer: Function;
    name?: string;
}
export interface IQueues {
    children: Array<Function>;
    name: string;
    result?: any[];
}
export declare type IQueueTemp = {
    [key: string]: IQueues;
};
export declare type IQueueList = Array<IQueue>;
export declare type IState = "idle" | "pending" | "fulfilled" | "rejected";
export declare type ITaskQueueProps = {
    maxLen: number;
};
export declare type ITaskQueue = {
    readonly fix: string;
    props: ITaskQueueProps;
    queueTemp: IQueueTemp;
    queues: IQueueList;
    state: IState;
    push: (queue: IQueues) => Promise<void>;
    unshift: (length: number) => IQueueList;
    run: (reject: any) => unknown;
    clear: () => void;
};
